org.apache.xmlbeans.impl.xb.xsdschema.impl

## Class RestrictionTypeImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.xmlbeans.impl.xb.xsdschema.impl.OpenAttrsImpl
      - - org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl
        - - org.apache.xmlbeans.impl.xb.xsdschema.impl.RestrictionTypeImpl

- All Implemented Interfaces:
    Serializable, TypeStoreUser, Annotated, OpenAttrs, RestrictionType, SimpleValue, XmlObject, XmlTokenSource
  Direct Known Subclasses:
    ComplexRestrictionTypeImpl, SimpleRestrictionTypeImpl

      public class RestrictionTypeImpl
      extends AnnotatedImpl
      implements RestrictionType

  An XML restrictionType(@http://www.w3.org/2001/XMLSchema). This is a complex type.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.RestrictionType

      `Factory, type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RestrictionTypeImpl(SchemaType sType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `All` | `addNewAll()` Appends and returns a new empty "all" element
    `Wildcard` | `addNewAnyAttribute()` Appends and returns a new empty "anyAttribute" element
    `Attribute` | `addNewAttribute()` Appends and returns a new empty value (as xml) as the last "attribute" element
    `AttributeGroupRef` | `addNewAttributeGroup()` Appends and returns a new empty value (as xml) as the last "attributeGroup" element
    `ExplicitGroup` | `addNewChoice()` Appends and returns a new empty "choice" element
    `NoFixedFacet` | `addNewEnumeration()` Appends and returns a new empty value (as xml) as the last "enumeration" element
    `NumFacet` | `addNewFractionDigits()` Appends and returns a new empty value (as xml) as the last "fractionDigits" element
    `GroupRef` | `addNewGroup()` Appends and returns a new empty "group" element
    `NumFacet` | `addNewLength()` Appends and returns a new empty value (as xml) as the last "length" element
    `Facet` | `addNewMaxExclusive()` Appends and returns a new empty value (as xml) as the last "maxExclusive" element
    `Facet` | `addNewMaxInclusive()` Appends and returns a new empty value (as xml) as the last "maxInclusive" element
    `NumFacet` | `addNewMaxLength()` Appends and returns a new empty value (as xml) as the last "maxLength" element
    `Facet` | `addNewMinExclusive()` Appends and returns a new empty value (as xml) as the last "minExclusive" element
    `Facet` | `addNewMinInclusive()` Appends and returns a new empty value (as xml) as the last "minInclusive" element
    `NumFacet` | `addNewMinLength()` Appends and returns a new empty value (as xml) as the last "minLength" element
    `PatternDocument.Pattern` | `addNewPattern()` Appends and returns a new empty value (as xml) as the last "pattern" element
    `ExplicitGroup` | `addNewSequence()` Appends and returns a new empty "sequence" element
    `LocalSimpleType` | `addNewSimpleType()` Appends and returns a new empty "simpleType" element
    `TotalDigitsDocument.TotalDigits` | `addNewTotalDigits()` Appends and returns a new empty value (as xml) as the last "totalDigits" element
    `WhiteSpaceDocument.WhiteSpace` | `addNewWhiteSpace()` Appends and returns a new empty value (as xml) as the last "whiteSpace" element
    `All` | `getAll()` Gets the "all" element
    `Wildcard` | `getAnyAttribute()` Gets the "anyAttribute" element
    `Attribute[]` | `getAttributeArray()` Gets array of all "attribute" elements
    `Attribute` | `getAttributeArray(int i)` Gets ith "attribute" element
    `AttributeGroupRef[]` | `getAttributeGroupArray()` Gets array of all "attributeGroup" elements
    `AttributeGroupRef` | `getAttributeGroupArray(int i)` Gets ith "attributeGroup" element
    `List<AttributeGroupRef>` | `getAttributeGroupList()` Gets a List of "attributeGroup" elements
    `List<Attribute>` | `getAttributeList()` Gets a List of "attribute" elements
    `QName` | `getBase()` Gets the "base" attribute
    `ExplicitGroup` | `getChoice()` Gets the "choice" element
    `NoFixedFacet[]` | `getEnumerationArray()` Gets array of all "enumeration" elements
    `NoFixedFacet` | `getEnumerationArray(int i)` Gets ith "enumeration" element
    `List<NoFixedFacet>` | `getEnumerationList()` Gets a List of "enumeration" elements
    `NumFacet[]` | `getFractionDigitsArray()` Gets array of all "fractionDigits" elements
    `NumFacet` | `getFractionDigitsArray(int i)` Gets ith "fractionDigits" element
    `List<NumFacet>` | `getFractionDigitsList()` Gets a List of "fractionDigits" elements
    `GroupRef` | `getGroup()` Gets the "group" element
    `NumFacet[]` | `getLengthArray()` Gets array of all "length" elements
    `NumFacet` | `getLengthArray(int i)` Gets ith "length" element
    `List<NumFacet>` | `getLengthList()` Gets a List of "length" elements
    `Facet[]` | `getMaxExclusiveArray()` Gets array of all "maxExclusive" elements
    `Facet` | `getMaxExclusiveArray(int i)` Gets ith "maxExclusive" element
    `List<Facet>` | `getMaxExclusiveList()` Gets a List of "maxExclusive" elements
    `Facet[]` | `getMaxInclusiveArray()` Gets array of all "maxInclusive" elements
    `Facet` | `getMaxInclusiveArray(int i)` Gets ith "maxInclusive" element
    `List<Facet>` | `getMaxInclusiveList()` Gets a List of "maxInclusive" elements
    `NumFacet[]` | `getMaxLengthArray()` Gets array of all "maxLength" elements
    `NumFacet` | `getMaxLengthArray(int i)` Gets ith "maxLength" element
    `List<NumFacet>` | `getMaxLengthList()` Gets a List of "maxLength" elements
    `Facet[]` | `getMinExclusiveArray()` Gets array of all "minExclusive" elements
    `Facet` | `getMinExclusiveArray(int i)` Gets ith "minExclusive" element
    `List<Facet>` | `getMinExclusiveList()` Gets a List of "minExclusive" elements
    `Facet[]` | `getMinInclusiveArray()` Gets array of all "minInclusive" elements
    `Facet` | `getMinInclusiveArray(int i)` Gets ith "minInclusive" element
    `List<Facet>` | `getMinInclusiveList()` Gets a List of "minInclusive" elements
    `NumFacet[]` | `getMinLengthArray()` Gets array of all "minLength" elements
    `NumFacet` | `getMinLengthArray(int i)` Gets ith "minLength" element
    `List<NumFacet>` | `getMinLengthList()` Gets a List of "minLength" elements
    `PatternDocument.Pattern[]` | `getPatternArray()` Gets array of all "pattern" elements
    `PatternDocument.Pattern` | `getPatternArray(int i)` Gets ith "pattern" element
    `List<PatternDocument.Pattern>` | `getPatternList()` Gets a List of "pattern" elements
    `ExplicitGroup` | `getSequence()` Gets the "sequence" element
    `LocalSimpleType` | `getSimpleType()` Gets the "simpleType" element
    `TotalDigitsDocument.TotalDigits[]` | `getTotalDigitsArray()` Gets array of all "totalDigits" elements
    `TotalDigitsDocument.TotalDigits` | `getTotalDigitsArray(int i)` Gets ith "totalDigits" element
    `List<TotalDigitsDocument.TotalDigits>` | `getTotalDigitsList()` Gets a List of "totalDigits" elements
    `WhiteSpaceDocument.WhiteSpace[]` | `getWhiteSpaceArray()` Gets array of all "whiteSpace" elements
    `WhiteSpaceDocument.WhiteSpace` | `getWhiteSpaceArray(int i)` Gets ith "whiteSpace" element
    `List<WhiteSpaceDocument.WhiteSpace>` | `getWhiteSpaceList()` Gets a List of "whiteSpace" elements
    `Attribute` | `insertNewAttribute(int i)` Inserts and returns a new empty value (as xml) as the ith "attribute" element
    `AttributeGroupRef` | `insertNewAttributeGroup(int i)` Inserts and returns a new empty value (as xml) as the ith "attributeGroup" element
    `NoFixedFacet` | `insertNewEnumeration(int i)` Inserts and returns a new empty value (as xml) as the ith "enumeration" element
    `NumFacet` | `insertNewFractionDigits(int i)` Inserts and returns a new empty value (as xml) as the ith "fractionDigits" element
    `NumFacet` | `insertNewLength(int i)` Inserts and returns a new empty value (as xml) as the ith "length" element
    `Facet` | `insertNewMaxExclusive(int i)` Inserts and returns a new empty value (as xml) as the ith "maxExclusive" element
    `Facet` | `insertNewMaxInclusive(int i)` Inserts and returns a new empty value (as xml) as the ith "maxInclusive" element
    `NumFacet` | `insertNewMaxLength(int i)` Inserts and returns a new empty value (as xml) as the ith "maxLength" element
    `Facet` | `insertNewMinExclusive(int i)` Inserts and returns a new empty value (as xml) as the ith "minExclusive" element
    `Facet` | `insertNewMinInclusive(int i)` Inserts and returns a new empty value (as xml) as the ith "minInclusive" element
    `NumFacet` | `insertNewMinLength(int i)` Inserts and returns a new empty value (as xml) as the ith "minLength" element
    `PatternDocument.Pattern` | `insertNewPattern(int i)` Inserts and returns a new empty value (as xml) as the ith "pattern" element
    `TotalDigitsDocument.TotalDigits` | `insertNewTotalDigits(int i)` Inserts and returns a new empty value (as xml) as the ith "totalDigits" element
    `WhiteSpaceDocument.WhiteSpace` | `insertNewWhiteSpace(int i)` Inserts and returns a new empty value (as xml) as the ith "whiteSpace" element
    `boolean` | `isSetAll()` True if has "all" element
    `boolean` | `isSetAnyAttribute()` True if has "anyAttribute" element
    `boolean` | `isSetChoice()` True if has "choice" element
    `boolean` | `isSetGroup()` True if has "group" element
    `boolean` | `isSetSequence()` True if has "sequence" element
    `boolean` | `isSetSimpleType()` True if has "simpleType" element
    `void` | `removeAttribute(int i)` Removes the ith "attribute" element
    `void` | `removeAttributeGroup(int i)` Removes the ith "attributeGroup" element
    `void` | `removeEnumeration(int i)` Removes the ith "enumeration" element
    `void` | `removeFractionDigits(int i)` Removes the ith "fractionDigits" element
    `void` | `removeLength(int i)` Removes the ith "length" element
    `void` | `removeMaxExclusive(int i)` Removes the ith "maxExclusive" element
    `void` | `removeMaxInclusive(int i)` Removes the ith "maxInclusive" element
    `void` | `removeMaxLength(int i)` Removes the ith "maxLength" element
    `void` | `removeMinExclusive(int i)` Removes the ith "minExclusive" element
    `void` | `removeMinInclusive(int i)` Removes the ith "minInclusive" element
    `void` | `removeMinLength(int i)` Removes the ith "minLength" element
    `void` | `removePattern(int i)` Removes the ith "pattern" element
    `void` | `removeTotalDigits(int i)` Removes the ith "totalDigits" element
    `void` | `removeWhiteSpace(int i)` Removes the ith "whiteSpace" element
    `void` | `setAll(All all)` Sets the "all" element
    `void` | `setAnyAttribute(Wildcard anyAttribute)` Sets the "anyAttribute" element
    `void` | `setAttributeArray(Attribute[] attributeArray)` Sets array of all "attribute" element WARNING: This method is not atomicaly synchronized.
    `void` | `setAttributeArray(int i, Attribute attribute)` Sets ith "attribute" element
    `void` | `setAttributeGroupArray(AttributeGroupRef[] attributeGroupArray)` Sets array of all "attributeGroup" element WARNING: This method is not atomicaly synchronized.
    `void` | `setAttributeGroupArray(int i, AttributeGroupRef attributeGroup)` Sets ith "attributeGroup" element
    `void` | `setBase(QName base)` Sets the "base" attribute
    `void` | `setChoice(ExplicitGroup choice)` Sets the "choice" element
    `void` | `setEnumerationArray(int i, NoFixedFacet enumeration)` Sets ith "enumeration" element
    `void` | `setEnumerationArray(NoFixedFacet[] enumerationArray)` Sets array of all "enumeration" element WARNING: This method is not atomicaly synchronized.
    `void` | `setFractionDigitsArray(int i, NumFacet fractionDigits)` Sets ith "fractionDigits" element
    `void` | `setFractionDigitsArray(NumFacet[] fractionDigitsArray)` Sets array of all "fractionDigits" element WARNING: This method is not atomicaly synchronized.
    `void` | `setGroup(GroupRef group)` Sets the "group" element
    `void` | `setLengthArray(int i, NumFacet length)` Sets ith "length" element
    `void` | `setLengthArray(NumFacet[] lengthArray)` Sets array of all "length" element WARNING: This method is not atomicaly synchronized.
    `void` | `setMaxExclusiveArray(Facet[] maxExclusiveArray)` Sets array of all "maxExclusive" element WARNING: This method is not atomicaly synchronized.
    `void` | `setMaxExclusiveArray(int i, Facet maxExclusive)` Sets ith "maxExclusive" element
    `void` | `setMaxInclusiveArray(Facet[] maxInclusiveArray)` Sets array of all "maxInclusive" element WARNING: This method is not atomicaly synchronized.
    `void` | `setMaxInclusiveArray(int i, Facet maxInclusive)` Sets ith "maxInclusive" element
    `void` | `setMaxLengthArray(int i, NumFacet maxLength)` Sets ith "maxLength" element
    `void` | `setMaxLengthArray(NumFacet[] maxLengthArray)` Sets array of all "maxLength" element WARNING: This method is not atomicaly synchronized.
    `void` | `setMinExclusiveArray(Facet[] minExclusiveArray)` Sets array of all "minExclusive" element WARNING: This method is not atomicaly synchronized.
    `void` | `setMinExclusiveArray(int i, Facet minExclusive)` Sets ith "minExclusive" element
    `void` | `setMinInclusiveArray(Facet[] minInclusiveArray)` Sets array of all "minInclusive" element WARNING: This method is not atomicaly synchronized.
    `void` | `setMinInclusiveArray(int i, Facet minInclusive)` Sets ith "minInclusive" element
    `void` | `setMinLengthArray(int i, NumFacet minLength)` Sets ith "minLength" element
    `void` | `setMinLengthArray(NumFacet[] minLengthArray)` Sets array of all "minLength" element WARNING: This method is not atomicaly synchronized.
    `void` | `setPatternArray(int i, PatternDocument.Pattern pattern)` Sets ith "pattern" element
    `void` | `setPatternArray(PatternDocument.Pattern[] patternArray)` Sets array of all "pattern" element WARNING: This method is not atomicaly synchronized.
    `void` | `setSequence(ExplicitGroup sequence)` Sets the "sequence" element
    `void` | `setSimpleType(LocalSimpleType simpleType)` Sets the "simpleType" element
    `void` | `setTotalDigitsArray(int i, TotalDigitsDocument.TotalDigits totalDigits)` Sets ith "totalDigits" element
    `void` | `setTotalDigitsArray(TotalDigitsDocument.TotalDigits[] totalDigitsArray)` Sets array of all "totalDigits" element WARNING: This method is not atomicaly synchronized.
    `void` | `setWhiteSpaceArray(int i, WhiteSpaceDocument.WhiteSpace whiteSpace)` Sets ith "whiteSpace" element
    `void` | `setWhiteSpaceArray(WhiteSpaceDocument.WhiteSpace[] whiteSpaceArray)` Sets array of all "whiteSpace" element WARNING: This method is not atomicaly synchronized.
    `int` | `sizeOfAttributeArray()` Returns number of "attribute" element
    `int` | `sizeOfAttributeGroupArray()` Returns number of "attributeGroup" element
    `int` | `sizeOfEnumerationArray()` Returns number of "enumeration" element
    `int` | `sizeOfFractionDigitsArray()` Returns number of "fractionDigits" element
    `int` | `sizeOfLengthArray()` Returns number of "length" element
    `int` | `sizeOfMaxExclusiveArray()` Returns number of "maxExclusive" element
    `int` | `sizeOfMaxInclusiveArray()` Returns number of "maxInclusive" element
    `int` | `sizeOfMaxLengthArray()` Returns number of "maxLength" element
    `int` | `sizeOfMinExclusiveArray()` Returns number of "minExclusive" element
    `int` | `sizeOfMinInclusiveArray()` Returns number of "minInclusive" element
    `int` | `sizeOfMinLengthArray()` Returns number of "minLength" element
    `int` | `sizeOfPatternArray()` Returns number of "pattern" element
    `int` | `sizeOfTotalDigitsArray()` Returns number of "totalDigits" element
    `int` | `sizeOfWhiteSpaceArray()` Returns number of "whiteSpace" element
    `void` | `unsetAll()` Unsets the "all" element
    `void` | `unsetAnyAttribute()` Unsets the "anyAttribute" element
    `void` | `unsetChoice()` Unsets the "choice" element
    `void` | `unsetGroup()` Unsets the "group" element
    `void` | `unsetSequence()` Unsets the "sequence" element
    `void` | `unsetSimpleType()` Unsets the "simpleType" element
    `XmlQName` | `xgetBase()` Gets (as xml) the "base" attribute
    `void` | `xsetBase(XmlQName base)` Sets (as xml) the "base" attribute

    - ### Methods inherited from class org.apache.xmlbeans.impl.xb.xsdschema.impl.AnnotatedImpl

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, build_nil, build_text, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, disconnect_store, documentProperties, dump, elementFlags, equals, execQuery, execQuery, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanArray, getBooleanArray, getBooleanValue, getByteArray, getByteArray, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleArray, getDoubleArray, getDoubleValue, getEnumArray, getEnumArray, getEnumValue, getFloatArray, getFloatArray, getFloatValue, getGDateValue, getGDurationValue, getIntArray, getIntArray, getIntValue, getListValue, getLongArray, getLongArray, getLongValue, getObjectArray, getObjectArray, getObjectValue, getQNameValue, getShortArray, getShortArray, getShortValue, getStringValue, getXmlLocale, getXmlObjectArray, getXmlObjectArray, has_store, hashCode, init_flags, initComplexType, instanceType, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetArray, xgetArray, xgetListValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### RestrictionTypeImpl

          public RestrictionTypeImpl(SchemaType sType)

  - ### Method Detail

    - #### getGroup

          public GroupRef getGroup()

      Gets the "group" element
      Specified by:
        `getGroup` in interface `RestrictionType`

    - #### isSetGroup

          public boolean isSetGroup()

      True if has "group" element
      Specified by:
        `isSetGroup` in interface `RestrictionType`

    - #### setGroup

          public void setGroup(GroupRef group)

      Sets the "group" element
      Specified by:
        `setGroup` in interface `RestrictionType`

    - #### addNewGroup

          public GroupRef addNewGroup()

      Appends and returns a new empty "group" element
      Specified by:
        `addNewGroup` in interface `RestrictionType`

    - #### unsetGroup

          public void unsetGroup()

      Unsets the "group" element
      Specified by:
        `unsetGroup` in interface `RestrictionType`

    - #### getAll

          public All getAll()

      Gets the "all" element
      Specified by:
        `getAll` in interface `RestrictionType`

    - #### isSetAll

          public boolean isSetAll()

      True if has "all" element
      Specified by:
        `isSetAll` in interface `RestrictionType`

    - #### setAll

          public void setAll(All all)

      Sets the "all" element
      Specified by:
        `setAll` in interface `RestrictionType`

    - #### addNewAll

          public All addNewAll()

      Appends and returns a new empty "all" element
      Specified by:
        `addNewAll` in interface `RestrictionType`

    - #### unsetAll

          public void unsetAll()

      Unsets the "all" element
      Specified by:
        `unsetAll` in interface `RestrictionType`

    - #### getChoice

          public ExplicitGroup getChoice()

      Gets the "choice" element
      Specified by:
        `getChoice` in interface `RestrictionType`

    - #### isSetChoice

          public boolean isSetChoice()

      True if has "choice" element
      Specified by:
        `isSetChoice` in interface `RestrictionType`

    - #### setChoice

          public void setChoice(ExplicitGroup choice)

      Sets the "choice" element
      Specified by:
        `setChoice` in interface `RestrictionType`

    - #### addNewChoice

          public ExplicitGroup addNewChoice()

      Appends and returns a new empty "choice" element
      Specified by:
        `addNewChoice` in interface `RestrictionType`

    - #### unsetChoice

          public void unsetChoice()

      Unsets the "choice" element
      Specified by:
        `unsetChoice` in interface `RestrictionType`

    - #### getSequence

          public ExplicitGroup getSequence()

      Gets the "sequence" element
      Specified by:
        `getSequence` in interface `RestrictionType`

    - #### isSetSequence

          public boolean isSetSequence()

      True if has "sequence" element
      Specified by:
        `isSetSequence` in interface `RestrictionType`

    - #### setSequence

          public void setSequence(ExplicitGroup sequence)

      Sets the "sequence" element
      Specified by:
        `setSequence` in interface `RestrictionType`

    - #### addNewSequence

          public ExplicitGroup addNewSequence()

      Appends and returns a new empty "sequence" element
      Specified by:
        `addNewSequence` in interface `RestrictionType`

    - #### unsetSequence

          public void unsetSequence()

      Unsets the "sequence" element
      Specified by:
        `unsetSequence` in interface `RestrictionType`

    - #### getSimpleType

          public LocalSimpleType getSimpleType()

      Gets the "simpleType" element
      Specified by:
        `getSimpleType` in interface `RestrictionType`

    - #### isSetSimpleType

          public boolean isSetSimpleType()

      True if has "simpleType" element
      Specified by:
        `isSetSimpleType` in interface `RestrictionType`

    - #### setSimpleType

          public void setSimpleType(LocalSimpleType simpleType)

      Sets the "simpleType" element
      Specified by:
        `setSimpleType` in interface `RestrictionType`

    - #### addNewSimpleType

          public LocalSimpleType addNewSimpleType()

      Appends and returns a new empty "simpleType" element
      Specified by:
        `addNewSimpleType` in interface `RestrictionType`

    - #### unsetSimpleType

          public void unsetSimpleType()

      Unsets the "simpleType" element
      Specified by:
        `unsetSimpleType` in interface `RestrictionType`

    - #### getMinExclusiveList

          public List<Facet> getMinExclusiveList()

      Gets a List of "minExclusive" elements
      Specified by:
        `getMinExclusiveList` in interface `RestrictionType`

    - #### getMinExclusiveArray

          public Facet[] getMinExclusiveArray()

      Gets array of all "minExclusive" elements
      Specified by:
        `getMinExclusiveArray` in interface `RestrictionType`

    - #### getMinExclusiveArray

          public Facet getMinExclusiveArray(int i)

      Gets ith "minExclusive" element
      Specified by:
        `getMinExclusiveArray` in interface `RestrictionType`

    - #### sizeOfMinExclusiveArray

          public int sizeOfMinExclusiveArray()

      Returns number of "minExclusive" element
      Specified by:
        `sizeOfMinExclusiveArray` in interface `RestrictionType`

    - #### setMinExclusiveArray

          public void setMinExclusiveArray(Facet[] minExclusiveArray)

      Sets array of all "minExclusive" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setMinExclusiveArray` in interface `RestrictionType`

    - #### setMinExclusiveArray

          public void setMinExclusiveArray(int i,
                                           Facet minExclusive)

      Sets ith "minExclusive" element
      Specified by:
        `setMinExclusiveArray` in interface `RestrictionType`

    - #### insertNewMinExclusive

          public Facet insertNewMinExclusive(int i)

      Inserts and returns a new empty value (as xml) as the ith "minExclusive" element
      Specified by:
        `insertNewMinExclusive` in interface `RestrictionType`

    - #### addNewMinExclusive

          public Facet addNewMinExclusive()

      Appends and returns a new empty value (as xml) as the last "minExclusive" element
      Specified by:
        `addNewMinExclusive` in interface `RestrictionType`

    - #### removeMinExclusive

          public void removeMinExclusive(int i)

      Removes the ith "minExclusive" element
      Specified by:
        `removeMinExclusive` in interface `RestrictionType`

    - #### getMinInclusiveList

          public List<Facet> getMinInclusiveList()

      Gets a List of "minInclusive" elements
      Specified by:
        `getMinInclusiveList` in interface `RestrictionType`

    - #### getMinInclusiveArray

          public Facet[] getMinInclusiveArray()

      Gets array of all "minInclusive" elements
      Specified by:
        `getMinInclusiveArray` in interface `RestrictionType`

    - #### getMinInclusiveArray

          public Facet getMinInclusiveArray(int i)

      Gets ith "minInclusive" element
      Specified by:
        `getMinInclusiveArray` in interface `RestrictionType`

    - #### sizeOfMinInclusiveArray

          public int sizeOfMinInclusiveArray()

      Returns number of "minInclusive" element
      Specified by:
        `sizeOfMinInclusiveArray` in interface `RestrictionType`

    - #### setMinInclusiveArray

          public void setMinInclusiveArray(Facet[] minInclusiveArray)

      Sets array of all "minInclusive" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setMinInclusiveArray` in interface `RestrictionType`

    - #### setMinInclusiveArray

          public void setMinInclusiveArray(int i,
                                           Facet minInclusive)

      Sets ith "minInclusive" element
      Specified by:
        `setMinInclusiveArray` in interface `RestrictionType`

    - #### insertNewMinInclusive

          public Facet insertNewMinInclusive(int i)

      Inserts and returns a new empty value (as xml) as the ith "minInclusive" element
      Specified by:
        `insertNewMinInclusive` in interface `RestrictionType`

    - #### addNewMinInclusive

          public Facet addNewMinInclusive()

      Appends and returns a new empty value (as xml) as the last "minInclusive" element
      Specified by:
        `addNewMinInclusive` in interface `RestrictionType`

    - #### removeMinInclusive

          public void removeMinInclusive(int i)

      Removes the ith "minInclusive" element
      Specified by:
        `removeMinInclusive` in interface `RestrictionType`

    - #### getMaxExclusiveList

          public List<Facet> getMaxExclusiveList()

      Gets a List of "maxExclusive" elements
      Specified by:
        `getMaxExclusiveList` in interface `RestrictionType`

    - #### getMaxExclusiveArray

          public Facet[] getMaxExclusiveArray()

      Gets array of all "maxExclusive" elements
      Specified by:
        `getMaxExclusiveArray` in interface `RestrictionType`

    - #### getMaxExclusiveArray

          public Facet getMaxExclusiveArray(int i)

      Gets ith "maxExclusive" element
      Specified by:
        `getMaxExclusiveArray` in interface `RestrictionType`

    - #### sizeOfMaxExclusiveArray

          public int sizeOfMaxExclusiveArray()

      Returns number of "maxExclusive" element
      Specified by:
        `sizeOfMaxExclusiveArray` in interface `RestrictionType`

    - #### setMaxExclusiveArray

          public void setMaxExclusiveArray(Facet[] maxExclusiveArray)

      Sets array of all "maxExclusive" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setMaxExclusiveArray` in interface `RestrictionType`

    - #### setMaxExclusiveArray

          public void setMaxExclusiveArray(int i,
                                           Facet maxExclusive)

      Sets ith "maxExclusive" element
      Specified by:
        `setMaxExclusiveArray` in interface `RestrictionType`

    - #### insertNewMaxExclusive

          public Facet insertNewMaxExclusive(int i)

      Inserts and returns a new empty value (as xml) as the ith "maxExclusive" element
      Specified by:
        `insertNewMaxExclusive` in interface `RestrictionType`

    - #### addNewMaxExclusive

          public Facet addNewMaxExclusive()

      Appends and returns a new empty value (as xml) as the last "maxExclusive" element
      Specified by:
        `addNewMaxExclusive` in interface `RestrictionType`

    - #### removeMaxExclusive

          public void removeMaxExclusive(int i)

      Removes the ith "maxExclusive" element
      Specified by:
        `removeMaxExclusive` in interface `RestrictionType`

    - #### getMaxInclusiveList

          public List<Facet> getMaxInclusiveList()

      Gets a List of "maxInclusive" elements
      Specified by:
        `getMaxInclusiveList` in interface `RestrictionType`

    - #### getMaxInclusiveArray

          public Facet[] getMaxInclusiveArray()

      Gets array of all "maxInclusive" elements
      Specified by:
        `getMaxInclusiveArray` in interface `RestrictionType`

    - #### getMaxInclusiveArray

          public Facet getMaxInclusiveArray(int i)

      Gets ith "maxInclusive" element
      Specified by:
        `getMaxInclusiveArray` in interface `RestrictionType`

    - #### sizeOfMaxInclusiveArray

          public int sizeOfMaxInclusiveArray()

      Returns number of "maxInclusive" element
      Specified by:
        `sizeOfMaxInclusiveArray` in interface `RestrictionType`

    - #### setMaxInclusiveArray

          public void setMaxInclusiveArray(Facet[] maxInclusiveArray)

      Sets array of all "maxInclusive" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setMaxInclusiveArray` in interface `RestrictionType`

    - #### setMaxInclusiveArray

          public void setMaxInclusiveArray(int i,
                                           Facet maxInclusive)

      Sets ith "maxInclusive" element
      Specified by:
        `setMaxInclusiveArray` in interface `RestrictionType`

    - #### insertNewMaxInclusive

          public Facet insertNewMaxInclusive(int i)

      Inserts and returns a new empty value (as xml) as the ith "maxInclusive" element
      Specified by:
        `insertNewMaxInclusive` in interface `RestrictionType`

    - #### addNewMaxInclusive

          public Facet addNewMaxInclusive()

      Appends and returns a new empty value (as xml) as the last "maxInclusive" element
      Specified by:
        `addNewMaxInclusive` in interface `RestrictionType`

    - #### removeMaxInclusive

          public void removeMaxInclusive(int i)

      Removes the ith "maxInclusive" element
      Specified by:
        `removeMaxInclusive` in interface `RestrictionType`

    - #### getTotalDigitsList

          public List<TotalDigitsDocument.TotalDigits> getTotalDigitsList()

      Gets a List of "totalDigits" elements
      Specified by:
        `getTotalDigitsList` in interface `RestrictionType`

    - #### getTotalDigitsArray

          public TotalDigitsDocument.TotalDigits[] getTotalDigitsArray()

      Gets array of all "totalDigits" elements
      Specified by:
        `getTotalDigitsArray` in interface `RestrictionType`

    - #### getTotalDigitsArray

          public TotalDigitsDocument.TotalDigits getTotalDigitsArray(int i)

      Gets ith "totalDigits" element
      Specified by:
        `getTotalDigitsArray` in interface `RestrictionType`

    - #### sizeOfTotalDigitsArray

          public int sizeOfTotalDigitsArray()

      Returns number of "totalDigits" element
      Specified by:
        `sizeOfTotalDigitsArray` in interface `RestrictionType`

    - #### setTotalDigitsArray

          public void setTotalDigitsArray(TotalDigitsDocument.TotalDigits[] totalDigitsArray)

      Sets array of all "totalDigits" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setTotalDigitsArray` in interface `RestrictionType`

    - #### setTotalDigitsArray

          public void setTotalDigitsArray(int i,
                                          TotalDigitsDocument.TotalDigits totalDigits)

      Sets ith "totalDigits" element
      Specified by:
        `setTotalDigitsArray` in interface `RestrictionType`

    - #### insertNewTotalDigits

          public TotalDigitsDocument.TotalDigits insertNewTotalDigits(int i)

      Inserts and returns a new empty value (as xml) as the ith "totalDigits" element
      Specified by:
        `insertNewTotalDigits` in interface `RestrictionType`

    - #### addNewTotalDigits

          public TotalDigitsDocument.TotalDigits addNewTotalDigits()

      Appends and returns a new empty value (as xml) as the last "totalDigits" element
      Specified by:
        `addNewTotalDigits` in interface `RestrictionType`

    - #### removeTotalDigits

          public void removeTotalDigits(int i)

      Removes the ith "totalDigits" element
      Specified by:
        `removeTotalDigits` in interface `RestrictionType`

    - #### getFractionDigitsList

          public List<NumFacet> getFractionDigitsList()

      Gets a List of "fractionDigits" elements
      Specified by:
        `getFractionDigitsList` in interface `RestrictionType`

    - #### getFractionDigitsArray

          public NumFacet[] getFractionDigitsArray()

      Gets array of all "fractionDigits" elements
      Specified by:
        `getFractionDigitsArray` in interface `RestrictionType`

    - #### getFractionDigitsArray

          public NumFacet getFractionDigitsArray(int i)

      Gets ith "fractionDigits" element
      Specified by:
        `getFractionDigitsArray` in interface `RestrictionType`

    - #### sizeOfFractionDigitsArray

          public int sizeOfFractionDigitsArray()

      Returns number of "fractionDigits" element
      Specified by:
        `sizeOfFractionDigitsArray` in interface `RestrictionType`

    - #### setFractionDigitsArray

          public void setFractionDigitsArray(NumFacet[] fractionDigitsArray)

      Sets array of all "fractionDigits" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setFractionDigitsArray` in interface `RestrictionType`

    - #### setFractionDigitsArray

          public void setFractionDigitsArray(int i,
                                             NumFacet fractionDigits)

      Sets ith "fractionDigits" element
      Specified by:
        `setFractionDigitsArray` in interface `RestrictionType`

    - #### insertNewFractionDigits

          public NumFacet insertNewFractionDigits(int i)

      Inserts and returns a new empty value (as xml) as the ith "fractionDigits" element
      Specified by:
        `insertNewFractionDigits` in interface `RestrictionType`

    - #### addNewFractionDigits

          public NumFacet addNewFractionDigits()

      Appends and returns a new empty value (as xml) as the last "fractionDigits" element
      Specified by:
        `addNewFractionDigits` in interface `RestrictionType`

    - #### removeFractionDigits

          public void removeFractionDigits(int i)

      Removes the ith "fractionDigits" element
      Specified by:
        `removeFractionDigits` in interface `RestrictionType`

    - #### getLengthList

          public List<NumFacet> getLengthList()

      Gets a List of "length" elements
      Specified by:
        `getLengthList` in interface `RestrictionType`

    - #### getLengthArray

          public NumFacet[] getLengthArray()

      Gets array of all "length" elements
      Specified by:
        `getLengthArray` in interface `RestrictionType`

    - #### getLengthArray

          public NumFacet getLengthArray(int i)

      Gets ith "length" element
      Specified by:
        `getLengthArray` in interface `RestrictionType`

    - #### sizeOfLengthArray

          public int sizeOfLengthArray()

      Returns number of "length" element
      Specified by:
        `sizeOfLengthArray` in interface `RestrictionType`

    - #### setLengthArray

          public void setLengthArray(NumFacet[] lengthArray)

      Sets array of all "length" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setLengthArray` in interface `RestrictionType`

    - #### setLengthArray

          public void setLengthArray(int i,
                                     NumFacet length)

      Sets ith "length" element
      Specified by:
        `setLengthArray` in interface `RestrictionType`

    - #### insertNewLength

          public NumFacet insertNewLength(int i)

      Inserts and returns a new empty value (as xml) as the ith "length" element
      Specified by:
        `insertNewLength` in interface `RestrictionType`

    - #### addNewLength

          public NumFacet addNewLength()

      Appends and returns a new empty value (as xml) as the last "length" element
      Specified by:
        `addNewLength` in interface `RestrictionType`

    - #### removeLength

          public void removeLength(int i)

      Removes the ith "length" element
      Specified by:
        `removeLength` in interface `RestrictionType`

    - #### getMinLengthList

          public List<NumFacet> getMinLengthList()

      Gets a List of "minLength" elements
      Specified by:
        `getMinLengthList` in interface `RestrictionType`

    - #### getMinLengthArray

          public NumFacet[] getMinLengthArray()

      Gets array of all "minLength" elements
      Specified by:
        `getMinLengthArray` in interface `RestrictionType`

    - #### getMinLengthArray

          public NumFacet getMinLengthArray(int i)

      Gets ith "minLength" element
      Specified by:
        `getMinLengthArray` in interface `RestrictionType`

    - #### sizeOfMinLengthArray

          public int sizeOfMinLengthArray()

      Returns number of "minLength" element
      Specified by:
        `sizeOfMinLengthArray` in interface `RestrictionType`

    - #### setMinLengthArray

          public void setMinLengthArray(NumFacet[] minLengthArray)

      Sets array of all "minLength" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setMinLengthArray` in interface `RestrictionType`

    - #### setMinLengthArray

          public void setMinLengthArray(int i,
                                        NumFacet minLength)

      Sets ith "minLength" element
      Specified by:
        `setMinLengthArray` in interface `RestrictionType`

    - #### insertNewMinLength

          public NumFacet insertNewMinLength(int i)

      Inserts and returns a new empty value (as xml) as the ith "minLength" element
      Specified by:
        `insertNewMinLength` in interface `RestrictionType`

    - #### addNewMinLength

          public NumFacet addNewMinLength()

      Appends and returns a new empty value (as xml) as the last "minLength" element
      Specified by:
        `addNewMinLength` in interface `RestrictionType`

    - #### removeMinLength

          public void removeMinLength(int i)

      Removes the ith "minLength" element
      Specified by:
        `removeMinLength` in interface `RestrictionType`

    - #### getMaxLengthList

          public List<NumFacet> getMaxLengthList()

      Gets a List of "maxLength" elements
      Specified by:
        `getMaxLengthList` in interface `RestrictionType`

    - #### getMaxLengthArray

          public NumFacet[] getMaxLengthArray()

      Gets array of all "maxLength" elements
      Specified by:
        `getMaxLengthArray` in interface `RestrictionType`

    - #### getMaxLengthArray

          public NumFacet getMaxLengthArray(int i)

      Gets ith "maxLength" element
      Specified by:
        `getMaxLengthArray` in interface `RestrictionType`

    - #### sizeOfMaxLengthArray

          public int sizeOfMaxLengthArray()

      Returns number of "maxLength" element
      Specified by:
        `sizeOfMaxLengthArray` in interface `RestrictionType`

    - #### setMaxLengthArray

          public void setMaxLengthArray(NumFacet[] maxLengthArray)

      Sets array of all "maxLength" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setMaxLengthArray` in interface `RestrictionType`

    - #### setMaxLengthArray

          public void setMaxLengthArray(int i,
                                        NumFacet maxLength)

      Sets ith "maxLength" element
      Specified by:
        `setMaxLengthArray` in interface `RestrictionType`

    - #### insertNewMaxLength

          public NumFacet insertNewMaxLength(int i)

      Inserts and returns a new empty value (as xml) as the ith "maxLength" element
      Specified by:
        `insertNewMaxLength` in interface `RestrictionType`

    - #### addNewMaxLength

          public NumFacet addNewMaxLength()

      Appends and returns a new empty value (as xml) as the last "maxLength" element
      Specified by:
        `addNewMaxLength` in interface `RestrictionType`

    - #### removeMaxLength

          public void removeMaxLength(int i)

      Removes the ith "maxLength" element
      Specified by:
        `removeMaxLength` in interface `RestrictionType`

    - #### getEnumerationList

          public List<NoFixedFacet> getEnumerationList()

      Gets a List of "enumeration" elements
      Specified by:
        `getEnumerationList` in interface `RestrictionType`

    - #### getEnumerationArray

          public NoFixedFacet[] getEnumerationArray()

      Gets array of all "enumeration" elements
      Specified by:
        `getEnumerationArray` in interface `RestrictionType`

    - #### getEnumerationArray

          public NoFixedFacet getEnumerationArray(int i)

      Gets ith "enumeration" element
      Specified by:
        `getEnumerationArray` in interface `RestrictionType`

    - #### sizeOfEnumerationArray

          public int sizeOfEnumerationArray()

      Returns number of "enumeration" element
      Specified by:
        `sizeOfEnumerationArray` in interface `RestrictionType`

    - #### setEnumerationArray

          public void setEnumerationArray(NoFixedFacet[] enumerationArray)

      Sets array of all "enumeration" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setEnumerationArray` in interface `RestrictionType`

    - #### setEnumerationArray

          public void setEnumerationArray(int i,
                                          NoFixedFacet enumeration)

      Sets ith "enumeration" element
      Specified by:
        `setEnumerationArray` in interface `RestrictionType`

    - #### insertNewEnumeration

          public NoFixedFacet insertNewEnumeration(int i)

      Inserts and returns a new empty value (as xml) as the ith "enumeration" element
      Specified by:
        `insertNewEnumeration` in interface `RestrictionType`

    - #### addNewEnumeration

          public NoFixedFacet addNewEnumeration()

      Appends and returns a new empty value (as xml) as the last "enumeration" element
      Specified by:
        `addNewEnumeration` in interface `RestrictionType`

    - #### removeEnumeration

          public void removeEnumeration(int i)

      Removes the ith "enumeration" element
      Specified by:
        `removeEnumeration` in interface `RestrictionType`

    - #### getWhiteSpaceList

          public List<WhiteSpaceDocument.WhiteSpace> getWhiteSpaceList()

      Gets a List of "whiteSpace" elements
      Specified by:
        `getWhiteSpaceList` in interface `RestrictionType`

    - #### getWhiteSpaceArray

          public WhiteSpaceDocument.WhiteSpace[] getWhiteSpaceArray()

      Gets array of all "whiteSpace" elements
      Specified by:
        `getWhiteSpaceArray` in interface `RestrictionType`

    - #### getWhiteSpaceArray

          public WhiteSpaceDocument.WhiteSpace getWhiteSpaceArray(int i)

      Gets ith "whiteSpace" element
      Specified by:
        `getWhiteSpaceArray` in interface `RestrictionType`

    - #### sizeOfWhiteSpaceArray

          public int sizeOfWhiteSpaceArray()

      Returns number of "whiteSpace" element
      Specified by:
        `sizeOfWhiteSpaceArray` in interface `RestrictionType`

    - #### setWhiteSpaceArray

          public void setWhiteSpaceArray(WhiteSpaceDocument.WhiteSpace[] whiteSpaceArray)

      Sets array of all "whiteSpace" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setWhiteSpaceArray` in interface `RestrictionType`

    - #### setWhiteSpaceArray

          public void setWhiteSpaceArray(int i,
                                         WhiteSpaceDocument.WhiteSpace whiteSpace)

      Sets ith "whiteSpace" element
      Specified by:
        `setWhiteSpaceArray` in interface `RestrictionType`

    - #### insertNewWhiteSpace

          public WhiteSpaceDocument.WhiteSpace insertNewWhiteSpace(int i)

      Inserts and returns a new empty value (as xml) as the ith "whiteSpace" element
      Specified by:
        `insertNewWhiteSpace` in interface `RestrictionType`

    - #### addNewWhiteSpace

          public WhiteSpaceDocument.WhiteSpace addNewWhiteSpace()

      Appends and returns a new empty value (as xml) as the last "whiteSpace" element
      Specified by:
        `addNewWhiteSpace` in interface `RestrictionType`

    - #### removeWhiteSpace

          public void removeWhiteSpace(int i)

      Removes the ith "whiteSpace" element
      Specified by:
        `removeWhiteSpace` in interface `RestrictionType`

    - #### getPatternList

          public List<PatternDocument.Pattern> getPatternList()

      Gets a List of "pattern" elements
      Specified by:
        `getPatternList` in interface `RestrictionType`

    - #### getPatternArray

          public PatternDocument.Pattern[] getPatternArray()

      Gets array of all "pattern" elements
      Specified by:
        `getPatternArray` in interface `RestrictionType`

    - #### getPatternArray

          public PatternDocument.Pattern getPatternArray(int i)

      Gets ith "pattern" element
      Specified by:
        `getPatternArray` in interface `RestrictionType`

    - #### sizeOfPatternArray

          public int sizeOfPatternArray()

      Returns number of "pattern" element
      Specified by:
        `sizeOfPatternArray` in interface `RestrictionType`

    - #### setPatternArray

          public void setPatternArray(PatternDocument.Pattern[] patternArray)

      Sets array of all "pattern" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setPatternArray` in interface `RestrictionType`

    - #### setPatternArray

          public void setPatternArray(int i,
                                      PatternDocument.Pattern pattern)

      Sets ith "pattern" element
      Specified by:
        `setPatternArray` in interface `RestrictionType`

    - #### insertNewPattern

          public PatternDocument.Pattern insertNewPattern(int i)

      Inserts and returns a new empty value (as xml) as the ith "pattern" element
      Specified by:
        `insertNewPattern` in interface `RestrictionType`

    - #### addNewPattern

          public PatternDocument.Pattern addNewPattern()

      Appends and returns a new empty value (as xml) as the last "pattern" element
      Specified by:
        `addNewPattern` in interface `RestrictionType`

    - #### removePattern

          public void removePattern(int i)

      Removes the ith "pattern" element
      Specified by:
        `removePattern` in interface `RestrictionType`

    - #### getAttributeList

          public List<Attribute> getAttributeList()

      Gets a List of "attribute" elements
      Specified by:
        `getAttributeList` in interface `RestrictionType`

    - #### getAttributeArray

          public Attribute[] getAttributeArray()

      Gets array of all "attribute" elements
      Specified by:
        `getAttributeArray` in interface `RestrictionType`

    - #### getAttributeArray

          public Attribute getAttributeArray(int i)

      Gets ith "attribute" element
      Specified by:
        `getAttributeArray` in interface `RestrictionType`

    - #### sizeOfAttributeArray

          public int sizeOfAttributeArray()

      Returns number of "attribute" element
      Specified by:
        `sizeOfAttributeArray` in interface `RestrictionType`

    - #### setAttributeArray

          public void setAttributeArray(Attribute[] attributeArray)

      Sets array of all "attribute" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setAttributeArray` in interface `RestrictionType`

    - #### setAttributeArray

          public void setAttributeArray(int i,
                                        Attribute attribute)

      Sets ith "attribute" element
      Specified by:
        `setAttributeArray` in interface `RestrictionType`

    - #### insertNewAttribute

          public Attribute insertNewAttribute(int i)

      Inserts and returns a new empty value (as xml) as the ith "attribute" element
      Specified by:
        `insertNewAttribute` in interface `RestrictionType`

    - #### addNewAttribute

          public Attribute addNewAttribute()

      Appends and returns a new empty value (as xml) as the last "attribute" element
      Specified by:
        `addNewAttribute` in interface `RestrictionType`

    - #### removeAttribute

          public void removeAttribute(int i)

      Removes the ith "attribute" element
      Specified by:
        `removeAttribute` in interface `RestrictionType`

    - #### getAttributeGroupList

          public List<AttributeGroupRef> getAttributeGroupList()

      Gets a List of "attributeGroup" elements
      Specified by:
        `getAttributeGroupList` in interface `RestrictionType`

    - #### getAttributeGroupArray

          public AttributeGroupRef[] getAttributeGroupArray()

      Gets array of all "attributeGroup" elements
      Specified by:
        `getAttributeGroupArray` in interface `RestrictionType`

    - #### getAttributeGroupArray

          public AttributeGroupRef getAttributeGroupArray(int i)

      Gets ith "attributeGroup" element
      Specified by:
        `getAttributeGroupArray` in interface `RestrictionType`

    - #### sizeOfAttributeGroupArray

          public int sizeOfAttributeGroupArray()

      Returns number of "attributeGroup" element
      Specified by:
        `sizeOfAttributeGroupArray` in interface `RestrictionType`

    - #### setAttributeGroupArray

          public void setAttributeGroupArray(AttributeGroupRef[] attributeGroupArray)

      Sets array of all "attributeGroup" element WARNING: This method is not atomicaly synchronized.
      Specified by:
        `setAttributeGroupArray` in interface `RestrictionType`

    - #### setAttributeGroupArray

          public void setAttributeGroupArray(int i,
                                             AttributeGroupRef attributeGroup)

      Sets ith "attributeGroup" element
      Specified by:
        `setAttributeGroupArray` in interface `RestrictionType`

    - #### insertNewAttributeGroup

          public AttributeGroupRef insertNewAttributeGroup(int i)

      Inserts and returns a new empty value (as xml) as the ith "attributeGroup" element
      Specified by:
        `insertNewAttributeGroup` in interface `RestrictionType`

    - #### addNewAttributeGroup

          public AttributeGroupRef addNewAttributeGroup()

      Appends and returns a new empty value (as xml) as the last "attributeGroup" element
      Specified by:
        `addNewAttributeGroup` in interface `RestrictionType`

    - #### removeAttributeGroup

          public void removeAttributeGroup(int i)

      Removes the ith "attributeGroup" element
      Specified by:
        `removeAttributeGroup` in interface `RestrictionType`

    - #### getAnyAttribute

          public Wildcard getAnyAttribute()

      Gets the "anyAttribute" element
      Specified by:
        `getAnyAttribute` in interface `RestrictionType`

    - #### isSetAnyAttribute

          public boolean isSetAnyAttribute()

      True if has "anyAttribute" element
      Specified by:
        `isSetAnyAttribute` in interface `RestrictionType`

    - #### setAnyAttribute

          public void setAnyAttribute(Wildcard anyAttribute)

      Sets the "anyAttribute" element
      Specified by:
        `setAnyAttribute` in interface `RestrictionType`

    - #### addNewAnyAttribute

          public Wildcard addNewAnyAttribute()

      Appends and returns a new empty "anyAttribute" element
      Specified by:
        `addNewAnyAttribute` in interface `RestrictionType`

    - #### unsetAnyAttribute

          public void unsetAnyAttribute()

      Unsets the "anyAttribute" element
      Specified by:
        `unsetAnyAttribute` in interface `RestrictionType`

    - #### getBase

          public QName getBase()

      Gets the "base" attribute
      Specified by:
        `getBase` in interface `RestrictionType`

    - #### xgetBase

          public XmlQName xgetBase()

      Gets (as xml) the "base" attribute
      Specified by:
        `xgetBase` in interface `RestrictionType`

    - #### setBase

          public void setBase(QName base)

      Sets the "base" attribute
      Specified by:
        `setBase` in interface `RestrictionType`

    - #### xsetBase

          public void xsetBase(XmlQName base)

      Sets (as xml) the "base" attribute
      Specified by:
        `xsetBase` in interface `RestrictionType`